AlertUrgencies
Creates an alert urgency
Creates a new alert urgency from provided data
POST
/
v1
/
alert_urgencies
Creates an alert urgency
curl --request POST \
--url https://api.rootly.com/v1/alert_urgencies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "alert_urgencies",
"attributes": {
"name": "<string>",
"description": "<string>",
"position": 123
}
}
}
'import requests
url = "https://api.rootly.com/v1/alert_urgencies"
payload = { "data": {
"type": "alert_urgencies",
"attributes": {
"name": "<string>",
"description": "<string>",
"position": 123
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'alert_urgencies',
attributes: {name: '<string>', description: '<string>', position: 123}
}
})
};
fetch('https://api.rootly.com/v1/alert_urgencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "alert_urgencies",
"attributes": {
"name": "<string>",
"description": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"id": "<string>",
"urgency": "<string>",
"color": "<string>",
"team_id": 123,
"deleted_at": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates an alert urgency
